Bug 107877 - Crash when deleting all area bitmaps
Summary: Crash when deleting all area bitmaps
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-05-15 19:26 UTC by Telesto
Modified: 2017-07-10 15:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["GraphicObject::GetGraphic()"]


Attachments
backtrace (29.05 KB, text/plain)
2017-05-15 20:15 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-15 19:26:01 UTC
Description:
Not a crash someone is likely to encounter, but anyway. Crash when deleting all area bitmaps


Steps to Reproduce:
1. Open Writer
2. Menu bar -> Format -> Page
3. Area tab -> Bitmaps
4. Delete all of them (right click delete)

Actual Results:  
Crash when deleting the last template bitmap

Expected Results:
No crash


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha1+
Build ID: 8c0be54a7da6262dffe04357121814dd22b5d7fe
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-15_01:35:45
Locale: en-US (nl_NL); Calc: single

crashreport.libreoffice.org/stats/crash_details/7997edc1-c68f-4eb2-9b2e-d4b2d4213472


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xisco Faulí 2017-05-15 20:04:29 UTC
Funny crash.

Confirmed in

Version: 5.4.0.0.alpha1+
Build ID: 74d2e606fd3605fe0a585f596eaa215ae4e20d18
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: fo-FO (ca_ES.UTF-8); Calc: group

and

Versión: 5.3.2.2
Id. de compilación: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
Subproc. CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: ro-RO (es_ES); Calc: group
Comment 2 Xisco Faulí 2017-05-15 20:15:03 UTC
Created attachment 133341 [details]
backtrace
Comment 3 Xisco Faulí 2017-05-16 10:25:29 UTC
patch submitted to gerrit: https://gerrit.libreoffice.org/#/c/37673/
Comment 4 Commit Notification 2017-05-17 15:22:26 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d55ce72b69934d17360142f88a699397e0aa41f

tdf#107877: Don't crash if all bitmaps are deleted

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-05-22 08:36:09 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=221de7cfdb6c6b6a4879162652bf842c4358f9eb&h=libreoffice-5-3

tdf#107877: Don't crash if all bitmaps are deleted

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.